#
# spec file for package python-premailer
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-premailer
Version:        3.10.0
Release:        1.5
License:        Python-2.0
Summary:        Turns CSS blocks into style attributes
URL:            https://premailer.io
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/premailer/premailer-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-cachetools
Requires:       python-cssselect
Requires:       python-cssutils
Requires:       python-lxml
Requires:       python-requests
BuildArch:      noarch

%python_subpackages

%description
Premailer is a Python library based on libxml which can analyze a
HTML document and extract its CSS style sheets and then for all
CSS seletors defined, it finds the DOM nodes and puts style
attributes in instead.

%prep
%setup -q -n premailer-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# THERE ARE NO TESTS TO RUN, SO NO %%check SECTION

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Oct  4 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 3.10.0
  New option session=None to provide the session used for making http requests.
  Bug fix: inlined styles are no longer sorted alphabetically. This preserves the input rule order so that premailer does not break style
  precedence where order is significant, e.g.
  div {
    /* Padding on all sides is 10px. */
    padding-left: 5px;
    padding: 10px;
  }
  div {
    /* Padding on the left side is 5px, on other sides is 10px. */
    padding: 10px;
    padding-left: 5px;
  }
  Prior to this fix premailer would swap the rules in the first example to look like the second.
  Other version change log https://github.com/peterbe/premailer/blob/master/CHANGES.rst
* Tue Aug 27 2019 Atri Bhattacharya <badshah400@gmail.com>
- Initial package.
